---
title: Create Regional Hostname
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Addressing](https://developers.cloudflare.com/api/go/resources/addressing)

[Regional Hostnames](https://developers.cloudflare.com/api/go/resources/addressing/subresources/regional_hostnames)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create Regional Hostname

client.Addressing.RegionalHostnames.New(ctx, params) (\*[RegionalHostnameNewResponse](<https://developers.cloudflare.com/api/go/resources/addressing#(resource)%20addressing.regional_hostnames%20%3E%20(model)%20RegionalHostnameNewResponse%20%3E%20(schema)>), error)

POST/zones/{zone\_id}/addressing/regional\_hostnames

Create a new Regional Hostname entry. Cloudflare will only use data centers that are physically located within the chosen region to decrypt and service HTTPS traffic. Learn more about [Regional Services](https://developers.cloudflare.com/data-localization/regional-services/get-started/).

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`DNS Write`

##### ParametersExpand Collapse

<details>

<summary>

params RegionalHostnameNewParams

</summary>

ZoneID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20addressing.regional_hostnames%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

Hostname param.Field\[string]

Body param: DNS hostname to be regionalized, must be a subdomain of the zone. Wildcards are supported for one level, e.g <code>*.example.com</code>

<a href="#(resource)%20addressing.regional_hostnames%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20hostname">Link to this property</a>

RegionKey param.Field\[string]

Body param: Identifying key for the region

<a href="#(resource)%20addressing.regional_hostnames%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20region_key">Link to this property</a>

Routing param.Field\[string]Optional

Body param: Configure which routing method to use for the regional hostname

<a href="#(resource)%20addressing.regional_hostnames%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20routing">Link to this property</a>

</details>

[Link to this property](<#(resource)%20addressing.regional_hostnames%20%3E%20(method)%20create%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type RegionalHostnameNewResponse struct{…}

</summary>

CreatedOn Time

When the regional hostname was created

formatdate-time

<a href="#(resource)%20addressing.regional_hostnames%20%3E%20(model)%20RegionalHostnameNewResponse%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

Hostname string

DNS hostname to be regionalized, must be a subdomain of the zone. Wildcards are supported for one level, e.g <code>*.example.com</code>

<a href="#(resource)%20addressing.regional_hostnames%20%3E%20(model)%20RegionalHostnameNewResponse%20%3E%20(schema)%20%3E%20(property)%20hostname">Link to this property</a>

RegionKey string

Identifying key for the region

<a href="#(resource)%20addressing.regional_hostnames%20%3E%20(model)%20RegionalHostnameNewResponse%20%3E%20(schema)%20%3E%20(property)%20region_key">Link to this property</a>

Routing string

Configure which routing method to use for the regional hostname

<a href="#(resource)%20addressing.regional_hostnames%20%3E%20(model)%20RegionalHostnameNewResponse%20%3E%20(schema)%20%3E%20(property)%20routing">Link to this property</a>

</details>

[Link to this property](<#(resource)%20addressing.regional_hostnames%20%3E%20(model)%20RegionalHostnameNewResponse%20%3E%20(schema)>)

### Create Regional Hostname

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/addressing"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  regionalHostname, err := client.Addressing.RegionalHostnames.New(context.TODO(), addressing.RegionalHostnameNewParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Hostname: cloudflare.F("foo.example.com"),
    RegionKey: cloudflare.F("ca"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", regionalHostname.CreatedOn)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_on": "2014-01-01T05:20:00.12345Z",
    "hostname": "foo.example.com",
    "region_key": "ca",
    "routing": "dns"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_on": "2014-01-01T05:20:00.12345Z",
    "hostname": "foo.example.com",
    "region_key": "ca",
    "routing": "dns"
  }
}
```